Package org.springframework.web.util.pattern

# Class PathPatternRouteMatcher

java.lang.Object
org.springframework.web.util.pattern.PathPatternRouteMatcher

All Implemented Interfaces:
  `org.springframework.util.RouteMatcher`

public class PathPatternRouteMatcher extends Object implements org.springframework.util.RouteMatcher
`RouteMatcher` built on `PathPatternParser` that uses `PathContainer` and `PathPattern` as parsed representations of routes and patterns.

Since:
  5.2
Author:
  Rossen Stoyanchev

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.util.RouteMatcher

`org.springframework.util.RouteMatcher.Route`

## Constructor Summary

Constructors
Constructor
Description
`PathPatternRouteMatcher()`
Default constructor with `PathPatternParser` customized for `MESSAGE_ROUTE` and without matching of trailing separator.
`PathPatternRouteMatcher(PathPatternParser parser)`
Constructor with given `PathPatternParser`.

## Method Summary

Modifier and Type
Method
Description
`String`
`combine(String pattern1, String pattern2)`
`Comparator<String>`
`getPatternComparator(org.springframework.util.RouteMatcher.Route route)`
`boolean`
`isPattern(String route)`
`boolean`
`match(String pattern, org.springframework.util.RouteMatcher.Route route)`
`Map<String,String>`
`matchAndExtract(String pattern, org.springframework.util.RouteMatcher.Route route)`
`org.springframework.util.RouteMatcher.Route`
`parseRoute(String routeValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathPatternRouteMatcher

public PathPatternRouteMatcher()
Default constructor with `PathPatternParser` customized for `MESSAGE_ROUTE` and without matching of trailing separator.

### PathPatternRouteMatcher

public PathPatternRouteMatcher(PathPatternParser parser)
Constructor with given `PathPatternParser`.

## Method Details

### parseRoute

public org.springframework.util.RouteMatcher.Route parseRoute(String routeValue)

Specified by:
  `parseRoute` in interface `org.springframework.util.RouteMatcher`

### isPattern

public boolean isPattern(String route)

Specified by:
  `isPattern` in interface `org.springframework.util.RouteMatcher`

### combine

public String combine(String pattern1, String pattern2)

Specified by:
  `combine` in interface `org.springframework.util.RouteMatcher`

### match

public boolean match(String pattern, org.springframework.util.RouteMatcher.Route route)

Specified by:
  `match` in interface `org.springframework.util.RouteMatcher`

### matchAndExtract

@Nullable public Map<String,String> matchAndExtract(String pattern, org.springframework.util.RouteMatcher.Route route)

Specified by:
  `matchAndExtract` in interface `org.springframework.util.RouteMatcher`

### getPatternComparator

public Comparator<String> getPatternComparator(org.springframework.util.RouteMatcher.Route route)

Specified by:
  `getPatternComparator` in interface `org.springframework.util.RouteMatcher`